log4shib::PropertyConfigurator(3)

NAME
log4shib::PropertyConfigurator - Property configurator will read a config file using the same (or similar) format to the config file used by log4j.

SYNOPSIS

#include <PropertyConfigurator.hh>

  Static Public Member Functions
static void configure (const std::string &initFileName) throw (ConfigureFailure)

Detailed Description

Property configurator will read a config file using the same (or similar) format to the config file used by log4j. This file is in a standard Java 'properties' file format.

Example:

# a simple test config
log4j.rootCategory=DEBUG, rootAppender
log4j.category.sub1=A1
log4j.category.sub2=INFO
log4j.category.sub1.sub2=ERROR, A2
log4j.appender.rootAppender=org.apache.log4j.ConsoleAppender
log4j.appender.rootAppender.layout=org.apache.log4j.BasicLayout
log4j.appender.A1=org.apache.log4j.FileAppender
log4j.appender.A1.fileName=A1.log
log4j.appender.A1.layout=org.apache.log4j.BasicLayout
log4j.appender.A2=org.apache.log4j.ConsoleAppender
log4j.appender.A2.layout=org.apache.log4j.PatternLayout
log4j.appender.A2.layout.ConversionPattern=The message %m at time %d%n

Since
    0.3.2

Member Function Documentation

  void log4shib::PropertyConfigurator::configure (const std::string & initFileName)ConfigureFailure [static]

Author

Generated automatically by Doxygen for log4shib from the source code.